cascading.flow.planner.iso.expression

## Enum TypeExpression.Topo

- java.lang.Object
- - java.lang.Enum<TypeExpression.Topo>
  - - cascading.flow.planner.iso.expression.TypeExpression.Topo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TypeExpression.Topo>

Enclosing class:
  TypeExpression<Type>

    public static enum TypeExpression.Topo
    extends java.lang.Enum<TypeExpression.Topo>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Head`
`Ignore`
`Linear`
`LinearIn`
`LinearOut`
`Splice`
`SpliceOnly`
`SpliceSplit`
`Split`
`SplitOnly`
`Tail`

### Method Summary

Methods
`static TypeExpression.Topo` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TypeExpression.Topo[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Ignore

    public static final TypeExpression.Topo Ignore

#### Head

    public static final TypeExpression.Topo Head

#### Tail

    public static final TypeExpression.Topo Tail

#### Linear

    public static final TypeExpression.Topo Linear

#### LinearIn

    public static final TypeExpression.Topo LinearIn

#### LinearOut

    public static final TypeExpression.Topo LinearOut

#### Splice

    public static final TypeExpression.Topo Splice

#### Split

    public static final TypeExpression.Topo Split

#### SpliceOnly

    public static final TypeExpression.Topo SpliceOnly

#### SplitOnly

    public static final TypeExpression.Topo SplitOnly

#### SpliceSplit

    public static final TypeExpression.Topo SpliceSplit

### Method Detail

#### values

    public static TypeExpression.Topo[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TypeExpression.Topo c : TypeExpression.Topo.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TypeExpression.Topo valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null